Skip to main content
POST
Create client domain pattern

Authorizations

Authorization
string
header
required

Body

application/json

Body of a POST /v1/client-domain-patterns request.

pattern
required

Choose between static or dynamic pattern

client_domain_id
string
component_ids
string[]
component_references
object[]
test

Choose between static or dynamic test

type
enum<string>
Available options:
DOMAIN,
GLOB,
SUB_DOMAIN

Response

Successful response

Client domain pattern source definition with build-time expressions and component references.

client_domain_id
string
required

Optional program domain identifier associated with this pattern.

component_ids
string[]
required
component_references
object[]
required
id
string
required
read-only

Unique identifier for the client domain pattern.

pattern
required

Build-time expression that resolves to the domain pattern used for matching.

test
required

Build-time expression that marks whether the pattern is used for test traffic only.

type
enum<string>
required

Pattern matching type that controls how the pattern is interpreted.

Available options:
DOMAIN,
GLOB,
SUB_DOMAIN